Metacat - Bug #6520

Metacat indexing the resource map prior to metadata document
04/17/2014 04:18 PM - Jing Tao

Status: Closed Start date: 04/17/2014
Priority: Normal Due date:

Assignee: ben leinfelder % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 242 Spent time: 0.00 hour
Bugzilla-ld:

Description

When | tested the metacat replication, | got the error in the remote server when i used morpho 1.10 or online registry to insert a
package with data file to the local metacat:

metacat-index 20140417-15:11:18: [ERROR]: Solr index doesn't have the information about the id tao.13007.1 which is a component
in the resource map resourceMap_tao.13007.1. Metacat-Index can't process the resource map prior to its components.
[edu.ucsb.nceas.metacat.index.SolrIndex]

edu.ucsb.nceas.metacat.index.resourcemap.ResourceMapException: Solr index doesn't have the information about the id
ta0.13007.1 which is a component in the resource map resourceMap_tao.13007.1. Metacat-Index can't process the resource map
prior to its components.

at edu.ucsb.nceas.metacat.index.resourcemap.ResourceMapSubprocessor.getSolrDocs(ResourceMapSubprocessor.java:118)

at
edu.ucsb.nceas.metacat.index.resourcemap.ResourceMapSubprocessor.processResourceMap(ResourceMapSubprocessor.java:95)
at edu.ucsb.nceas.metacat.index.resourcemap.ResourceMapSubprocessor.processDocument(ResourceMapSubprocessor.java:81)
at edu.ucsb.nceas.metacat.index.Solrindex.process(Solrindex.java:216)

at edu.ucsb.nceas.metacat.index.Solrindex.insert(Solrindex.java:364)

at edu.ucsb.nceas.metacat.index.Solrindex.update(Solrindex.java:557)

at edu.ucsb.nceas.metacat.index.SolrIndex.update(Solrindex.java:514)

at edu.ucsb.nceas.metacat.index.SystemMetadataEventListener.entryUpdated(SystemMetadataEventListener.java:146)

at edu.ucsb.nceas.metacat.index.SystemMetadataEventListener.entryAdded(SystemMetadataEventListener.java:119)

at com.hazelcast.client.impl.EntryListenerManager.notifyListeners(EntryListenerManager.java:148)

at com.hazelcast.client.impl.EntryListenerManager.notifyListeners(EntryListenerManager.java:130)

at com.hazelcast.client.impl.ListenerManager.customRun(ListenerManager.java:88)

at com.hazelcast.client.ClientRunnable.run(ClientRunnable.java:30)

at java.lang.Thread.run(Thread.java:744)

But the in the local host, the solr index worked fine.

History

#1 - 04/22/2014 01:30 PM - Jing Tao

- Subject changed from Remote server indexing the resource map prior to metadata document to Metacat indexing the resource map prior to metadata
document

Actually, the localhost has the same error:

[ERROR]: Solr index doesn't have the information about the id tao.13010.1 which is a component in the resource map resourceMap_tao.13010.1.
Metacat-Index can't process the resource map prior to its components. [edu.ucsb.nceas.metacat.index.SolrIndex]
edu.ucsb.nceas.metacat.index.resourcemap.ResourceMapException: Solr index doesn't have the information about the id tao.13010.1 which is a
component in the resource map resourceMap_tao.13010.1. Metacat-Index can't process the resource map prior to its components.

at edu.ucsb.nceas.metacat.index.resourcemap.ResourceMapSubprocessor.getSolrDocs(ResourceMapSubprocessor.java:118)

at edu.ucsb.nceas.metacat.index.resourcemap.ResourceMapSubprocessor.processResourceMap(ResourceMapSubprocessor.java:95)

at edu.ucsb.nceas.metacat.index.resourcemap.ResourceMapSubprocessor.processDocument(ResourceMapSubprocessor.java:81)

at edu.ucsb.nceas.metacat.index.Solrindex.process(Solrindex.java:216)

at edu.ucsb.nceas.metacat.index.Solrlndex.insert(Solrindex.java:364)

at edu.ucsb.nceas.metacat.index.Solrindex.update(Solrindex.java:557)

at edu.ucsb.nceas.metacat.index.Solrindex.update(Solrindex.java:514)

at edu.ucsb.nceas.metacat.index.SystemMetadataEventListener.entryUpdated(SystemMetadataEventListener.java: 146)

at edu.ucsb.nceas.metacat.index.SystemMetadataEventListener.entryAdded(SystemMetadataEventListener.java:119)

at com.hazelcast.client.impl.EntryListenerManager.notifyListeners(EntryListenerManager.java:148)

at com.hazelcast.client.impl.EntryListenerManager.notifyListeners(EntryListenerManager.java:130)

at com.hazelcast.client.impl.ListenerManager.customRun(ListenerManager.java:88)

at com.hazelcast.client.ClientRunnable.run(ClientRunnable.java:30)

at java.lang.Thread.run(Thread.java:744)
#2 - 04/22/2014 01:31 PM - Jing Tao

| also saw the error when i used morpho 1.10 to insert a package with data:

[ERRORY]: org.apache.solr.common.SolrException: org.apache.lucene.queryParser.ParseException: Cannot parse 'resourceMap:*+id:"tao.13010.1"":
Encountered " ":" ": " at line 1, column 16.

Was expecting one of:

<EOF>
<AND> ...
<OR> ..
<NOT> ...

+ ...
.

nAn

<QUOTED> ..
<TERM> ...

<FUZZY_SLOP> ...
<PREFIXTERM> ...

<WILDTERM> ...

<NUMBERS> ..
apache.solr.handler.component.QueryComponent.prepare (QueryComponent.java:105)
solr.handler.component.SearchHandler.handleRequestBody (SearchHandler. java:173)
handler.RequestHandlerBase.handleRequest (RequestHandlerBase. java:129)
core.SolrCore.execute (SolrCore. java:1368)

.solrj.embedded.EmbeddedSolrServer.request (EmbeddedSolrServer. java:140)
solrj.request.QueryRequest.process (QueryRequest. java:89)

solrj.SolrServer.query (SolrServer. java:118)
common.query.EmbeddedSolrQueryService.query (EmbeddedSolrQueryService. java:122)
.common.query.SolrQueryServiceController.query (SolrQueryServiceController. java:11

index.MetacatSolrIndex.query (MetacatSolrIndex. java:135)
.dataone.MNodeService.query (MNodeService.java:1631)
.dataone.MNodeService.lookupOreFor (MNodeService. java:1856)
.dataone.SystemMetadataFactory.oreExistsFor (SystemMetadataFactory. java:617)
.dataone.SystemMetadataFactory.createSystemMetadata (SystemMetadataFactory. java:52

.MetacatHandler.handleInsertOrUpdateAction (MetacatHandler. java:1843)
.MetaCatServlet.handleGetOrPost (MetaCatServlet. java:906)
.MetaCatServlet.doPost (MetaCatServlet. java:503)

javax.servlet.http.HttpServlet.service (HttpServlet. java:641)
javax.servlet.http.HttpServlet.service (HttpServlet. java:722)
core.ApplicationFilterChain.internalDoFilter (ApplicationFilterChain. java:305)
core.ApplicationFilterChain.doFilter (ApplicationFilterChain. java:210)
core.StandardWrapperValve.invoke (StandardWrapperValve. java:224)
core.StandardContextValve.invoke (StandardContextValve. java:169)
authenticator.AuthenticatorBase.invoke (AuthenticatorBase. java:472)
.core.StandardHostValve.invoke (StandardHostValve. java:168)
.valves.ErrorReportValve.invoke (ErrorReportValve. java:98)

catalina.
catalina.

valves.AccessLogValve.invoke (AccessLogValve. java:927)
core.StandardEngineValve. invoke (StandardEngineValve. java:118)
connector.CoyoteAdapter.service (CoyoteAdapter. java:407)
coyote.ajp.AjpProcessor.process (AjpProcessor. java:200)
coyote.AbstractProtocol$AbstractConnectionHandler.process (AbstractProtocol. java:579)
tomcat.util.net.JIoEndpoint$SocketProcessor.run(JIoEndpoint.java:307)

java.util.concurrent.ThreadPoolExecutor.runWorker (ThreadPoolExecutor. java:1145)
jJava.util.concurrent.ThreadPoolExecutor$Worker.run (ThreadPoolExecutor. java:615)
java.lang.Thread.run (Thread. java:744)

#3 - 04/22/2014 03:39 PM - ben leinfelder

- Status changed from New to In Progress

- Assignee set to ben leinfelder

- Target version set to 2.5.0

Now we will submit the ORE for indexing after we are sure the metadata document has been indexed.

#4 - 04/23/2014 10:45 AM - ben leinfelder

- Status changed from In Progress to Closed

04/18/2024

2/3



Tested package upload from Morpho and the resourceMap was successfully indexed.

#5 - 11/13/2014 03:24 PM - ben leinfelder
- Target version changed from 2.5.0 to 2.4.2
